MCP Gateway
ApiPortal

List portal servers

List MCP servers visible in the portal. Returns only servers where portal_visible=true. Requires authentication.

GET
/api/v1/portal/servers

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
page_size?integer

Items per page

Default20
Range1 <= value <= 100
search?|

Search by name

category?|

Filter by category

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/portal/servers"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "display_name": "string",
      "description": "string",
      "portal_category": "string",
      "portal_tags": [
        "string"
      ],
      "credential_mode": "string",
      "tool_count": 0,
      "is_connected": false,
      "oauth_provider": "string",
      "oauth_app_id": "bf295b67-8583-439b-af58-e5af4617dc04",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "page_size": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}